Loading...
Searching...
No Matches
Version and Build diagnostics
libavutil » Other

Macros and function useful to check at compile time and at runtime which version of libavutil is in use. More...

## Topics

| Deprecation Guards
| FF_API_* defines may be placed below to indicate public API that will be dropped at a future version bump.

## Macros

#define | LIBAVUTIL_VERSION_MAJOR 60
#define | LIBAVUTIL_VERSION_MINOR 8
#define | LIBAVUTIL_VERSION_MICRO 100
#define | LIBAVUTIL_VERSION_INT
#define | LIBAVUTIL_VERSION
#define | LIBAVUTIL_BUILD LIBAVUTIL_VERSION_INT
#define | LIBAVUTIL_IDENT "Lavu" AV_STRINGIFY(LIBAVUTIL_VERSION)

## Functions

unsigned | avutil_version (void)
| Return the LIBAVUTIL_VERSION_INT constant.
const char * | av_version_info (void)
| Return an informative version string.
const char * | avutil_configuration (void)
| Return the libavutil build-time configuration.
const char * | avutil_license (void)
| Return the libavutil license.

## Detailed Description

Macros and function useful to check at compile time and at runtime which version of libavutil is in use.

## Macro Definition Documentation

## LIBAVUTIL_VERSION_MAJOR

#define LIBAVUTIL_VERSION_MAJOR 60

Definition at line 81 of file version.h.

## LIBAVUTIL_VERSION_MINOR

#define LIBAVUTIL_VERSION_MINOR 8

Definition at line 82 of file version.h.

## LIBAVUTIL_VERSION_MICRO

#define LIBAVUTIL_VERSION_MICRO 100

Definition at line 83 of file version.h.

## LIBAVUTIL_VERSION_INT

#define LIBAVUTIL_VERSION_INT

Value:
AV_VERSION_INT(LIBAVUTIL_VERSION_MAJOR, \
LIBAVUTIL_VERSION_MINOR, \
LIBAVUTIL_VERSION_MICRO)
LIBAVUTIL_VERSION_MINOR
#define LIBAVUTIL_VERSION_MINOR
Definition version.h:82
LIBAVUTIL_VERSION_MAJOR
#define LIBAVUTIL_VERSION_MAJOR
Definition version.h:81
LIBAVUTIL_VERSION_MICRO
#define LIBAVUTIL_VERSION_MICRO
Definition version.h:83
AV_VERSION_INT
#define AV_VERSION_INT(a, b, c)
Definition version.h:56

Definition at line 85 of file version.h.

## LIBAVUTIL_VERSION

#define LIBAVUTIL_VERSION

Value:
AV_VERSION(LIBAVUTIL_VERSION_MAJOR, \
LIBAVUTIL_VERSION_MINOR, \
LIBAVUTIL_VERSION_MICRO)
AV_VERSION
#define AV_VERSION(a, b, c)
Definition version.h:58

Definition at line 88 of file version.h.

## LIBAVUTIL_BUILD

#define LIBAVUTIL_BUILD LIBAVUTIL_VERSION_INT

Definition at line 91 of file version.h.

## LIBAVUTIL_IDENT

#define LIBAVUTIL_IDENT "Lavu" AV_STRINGIFY(LIBAVUTIL_VERSION)

Definition at line 93 of file version.h.

## Function Documentation

## avutil_version()

unsigned avutil_version | ( | void |  | ) |

Return the LIBAVUTIL_VERSION_INT constant.

## av_version_info()

const char * av_version_info | ( | void |  | ) |

Return an informative version string.

This usually is the actual release version number or a git commit description. This string has no fixed format and can change any time. It should never be parsed by code.

## avutil_configuration()

const char * avutil_configuration | ( | void |  | ) |

Return the libavutil build-time configuration.

## avutil_license()

const char * avutil_license | ( | void |  | ) |

Return the libavutil license.